{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.PHONE"
  },
  "caption" : "视图消息日历导航视图",
  "codeName" : "phoneUsr04101559CalendarExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneUsr04101559CalendarExpView.json",
  "name" : "phoneUsr04101559CalendarExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "CalendarExpView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr04101559CalendarExpViewcalendarexpbar",
    "controlType" : "CALENDAREXPBAR",
    "name" : "calendarexpbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "calendarexpbar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "CALENDAREXPBAR"
    },
    "getPSControls" : [ {
      "calendarStyle" : "MONTH",
      "codeName" : "Usr04101559CalendarExpView_Calendar",
      "controlType" : "CALENDAR",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone/PSCALENDARS/Usr04101559CalendarExpView_Calendar.json",
      "groupMode" : "NONE",
      "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
      "legendPos" : "NONE",
      "logicName" : "视图消息日历导航视图_日历部件",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlHandler" : {
        "enableDEFieldPrivilege" : false,
        "id" : "calendarexpbar_calendar"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SELECTIONCHANGE",
        "logicTag" : "calendarexpbar_calendar",
        "logicType" : "CUSTOM",
        "name" : "calendarexpbar_selectionchange"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "calendarexpbar_calendar",
        "logicType" : "CUSTOM",
        "name" : "calendarexpbar_load"
      } ],
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "calendarexpbar_calendar"
      },
      "enableGroup" : false,
      "name" : "calendarexpbar_calendar",
      "modelid" : "D35ADECE-3F8B-4FA8-BB1F-53E254F4E3C8",
      "modeltype" : "PSSYSCALENDAR"
    } ],
    "xDataControlName" : "calendarexpbar_calendar",
    "enableCounter" : true,
    "enableSearch" : false,
    "showTitleBar" : true,
    "modelid" : "adab0eeeb94e6539b823a7a3586157c3_calendarexpbar",
    "modeltype" : "PSEXPBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "getCapPSLanguageRes" : {
      "lanResTag" : "DE.LNAME.PHONE"
    },
    "caption" : "视图消息日历导航视图",
    "codeName" : "Usr04101559CalendarExpViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr04101559CalendarExpView",
  "getPSDEViewId" : "3A40BED0-30F3-4BD5-9BF2-54FFE798520D",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDECALENDAREXPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "refFlag" : false,
  "sideBarLayout" : "LEFT",
  "title" : "视图消息日历导航视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECALENDAREXPVIEW",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "showDataInfoBar" : true,
  "modelid" : "adab0eeeb94e6539b823a7a3586157c3",
  "modeltype" : "PSAPPDEVIEW"
}